Vanliga frågor

Kan Maps Marker Pro också visa väderkartor?

Med Maps Marker Pro kan du använda alla typer av kartor som är tillgängliga via WMTS eller WMS-standard. Dessa anpassade lager kan läggas till via Inställningar / lager / anpassade:

En samlad lista med anpassade lager som finns på https://mapsmarker.com/custom-layers 

För speciella väderlager, titta gärna på https://gis.stackexchange.com/questions/6345/listing-available-online-wms-services-weather-land-data-place-names för en utgångspunkt - många av dem kan konfigureras för att användas i Maps Marker Pro också.

0
0
10179
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Fel ”Misslyckades med att skicka begäran” vid försök att migrera till v4

Det här felet indikerar att det finns vissa problem med din AJAX-konfiguration respektive wp-admin / admin-ajax.php slutpunkt.

För att verifiera detta öppnar du webbläsarkonsolen (t.ex. med F12 i Firefox eller Chrome), växlar till fliken “Console” och laddar om sidan och klickar på “Check migration” igen för att verifiera om det finns några ytterligare felmeddelanden:

Om du inte ser ett felmeddelande där, byt till fliken "Nätverk" och ladda om sidan och klicka på "Kontrollera migrering" igen för att verifiera om det finns några ytterligare felmeddelanden:

Från skärmen ovan ser du att begäran misslyckades med Status (= HTTP-felkod) 404 - i det här exemplet var filen /wp-admin/admin-ajax.php inte tillgänglig.

Det är dock mer troligt att du ser Status 500 (= Internt serverfel) här. 500-internserverfelet är det allmänna fånga allt-felet när servern kastar ett undantag. Det är felmeddelandet när inget mer specifikt felmeddelande är lämpligt och i de flesta fall är direkt relaterat till en felaktig felkonfigurering eller server.

Så vad gör nu?

Först, försök att tillfälligt inaktivera alla andra plugins men Maps Marker Pro för att verifiera att det här problemet inte orsakas av en plugin-konflikt.

Om detta inte hjälper, ta en titt på serverns fellogg som PHP eller Apache-felloggen när denna begäran görs och som kan ge dig en aning varför det här felet händer på din server.

Om detta fortfarande inte hjälper, kontrollera om någon av följande instruktioner kan hjälpa dig hitta orsakerna till detta serverfel:

Om detta fortfarande inte hjälper, rekommenderar vi att du kommer i kontakt med ditt värdstöd så att de kan analysera varför begäran till /wp-admin/admin-ajax.php misslyckas när du försöker köra migreringsverktyget.

0
0
5184
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Kan kartor visas med 100% höjd?

Med Maps Marker Pro kan du ställa in en bredd på en karta i pixel- eller% -värden:

Höjdvärdet kan dock också anges som pixelvärde på grund av begränsningar i HTML.

Om du vill visa en karta på fullskärm, använd istället den dedikerade helskärmsvyn som du kan komma åt med en permalänk via kartpanelen

eller använd HTML5-fullskärmsknappen på kartan under zoomikonerna:

0
1
567
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Kan spår från träningsspårare visas på kartor?

Om dina fitnessspårare (som garmin fit) tillåter att exportera inspelade spår som GPX-format kan dessa filer vanligtvis också visas på kartor med Maps Marker Pro.

För att visa dessa spår, skapa en ny karta, växla till fliken "GPX" och börja med att klicka på "Öppna mediebibliotek" -knappen:

Som nästa steg växlar du till fliken "Ladda upp filer", välj och ladda upp din gpx-fil, avsluta med att klicka på knappen "Välj":

Som ett resultat visas GPX-spåret på kartan och du kan eventuellt anpassa dess inställningar ytterligare (att byta till avancerad redigerare för alla alternativ rekommenderas):

0
0
5002
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Stöder Maps Marker Pro formfiler?

För närvarande stöds inte filer med v4.0 / shp - vi spelar för att lägga till stöd för en framtida release (inget släppdatum ännu tillgängligt).

Om du vill hålla dig uppdaterad med den senaste utvecklingen av Maps Marker, snälla prenumerera på våra nyheter via RSS, Följ @MapsMarker på twitter eller på Facebook.

0
0
9579
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Konsolfel ”MapsMarkerPro är inte definierat”

Om dina kartor inte dyker upp och webbläsarkonsolen visar felet ”MapsMarkerPro är inte definierat” fortsätt så här:

  1. Om du använder några cache-plugins, försök först att rensa alla inblandade cachar.
  2. Kontrollera först om det här problemet kan orsakas av en plugin-konflikt. För att verifiera detta, avaktivera tillfälligt alla andra plugins men Maps Marker Pro och försök igen.
  3. Om detta inte gav några resultat, kontrollera om dina mallfiler innehåller krokar för wp_head() i header.php och wp_footer() i footer.php (som behövs för att korrekt ladda skript och stilar från Maps Marker Pro). 
0
0
8140
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

“Fel: kartbilder kunde inte laddas” visas

Om du ser detta felmeddelande i stället för en karta kan det ha flera skäl:

det mest troliga är att den (externa) kakelservern som används för närvarande inte är tillgänglig eller har tillfälliga problem (t.ex. ett underhållsfönster). Tyvärr har vi inte direkt inflytande på tillgängligheten av externa kakel-servrar. Med Maps Marker Pro kan du ansluta till för att visa kartplattor. Från vår erfarenhet är OpenStreetMap mycket pålitligt och dessa fel uppstår mycket sällan. 

Hur som helst också anges i felmeddelandet kan det vara så att det finns problem med internetanslutning på användarsidan, vilket resulterar i att kartbrickor inte kan laddas, även om den externa kartkakelservern är tillgänglig.

Det tredje skälet till detta fel - felaktig kartkonfiguration - är vanligtvis bara fallet om du använder anpassade brickserverkonfigurationer (t.ex. om du har lagt till en anpassad baskarta som bara visar kartpaneler för ett visst område och du panorerade din karta utanför det området).

Om du upplever det här problemet ofta med en utvald leverantör av kakeltjänster kan du försöka byta till en annan leverantör av kakeltjänster för din karta.

1
0
13760
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Vilka är minimikraven för Maps Marker Pro?

För att kunna installera Maps Marker Pro måste följande minimikrav uppfyllas:

  • PHP 5.4 eller högre (en aktuell 7.x-version rekommenderas, PHP-kompatibilitet har testats med 7.0, 7.1, 7.2 och 7.3)
  • WordPress 4.5 eller högre eller ClassicPress.
  • För att verifiera licensnyckeln måste din server kunna ansluta till www.mapsmarker.com via port 443
0
0
4994
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Kan jag använda en exportfil från v3.1.1 eller lägre och importera den i v4 eller högre?

Nej, eftersom v4.0 är ett komplett nytt plugin med ett optimerat databasschema, (CSV / XLS (X) / ODS) importfiler som skapats med Maps Marker Pro v3.1.1 eller lägre är inte kompatibla med importen i Maps Marker Pro v4 eller högre.

0
0
34730
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Hur konverterar jag andra format som KML till GeoJSON?

Det gratis onlineverktyget på https://geoconverter.hsr.ch/ låter dig konvertera format som KML och andra till GeoJSON:

Du kan sedan lägga till GeoJSON på en karta på fliken "Rita" genom att klicka på knappen "Lägg till från GeoJSON":

3
0
34646
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Så här fixar du inkompatibiliteten med plugin-programmet “Geo Redirect”

Plugin “Geo-omdirigering”Låter dig omdirigera dina besökare eller byta språk beroende på deras land. Tyvärr har det inte skett någon uppdatering sedan 2013 och att använda detta plugin tillsammans med Maps Marker Pro orsakar att lagerkartor går sönder (eftersom också broschyren-geojson.php som behövs för att ladda markörerna omdirigeras.

För att åtgärda detta, öppna filen /wp-content/plugin/geographical-redirect/geo-redirect.php

Hitta koden

    public function checkIfRedirectNeeded ()
    {
        om (! is_array ($ this-> geo_redirect_data))
            tillbaka;

och ersätt den med

    public function checkIfRedirectNeeded ()
    {
        // info: omdirigera inte Maps Marker Pro-förfrågningar
        $ request_uri = $ this-> request_uri;
        if (stripos ($ request_uri, 'geojson')! == FALSE) {
            tillbaka;
        }
        om (! is_array ($ this-> geo_redirect_data))
            tillbaka;

och spara filen. Som ett resultat bör lagerkartor fungera igen.

0
0
9362
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Geolokaliseringsfel: Endast sekurens ursprung är tillåtet / https krävs

Med Chrome 50+, Firefox 55+ och Safari 10+ infördes betydande ändringar av geolokaliseringsstödet av relaterade webbläsarförsäljare: alla applikationer som begär användarens aktuella position (inte bara för Maps Marker Pro: s geolokaliseringsfunktion) är endast tillåtna längre för att hämta den aktuella positionen för användaren om webbplatsen är inställd för att levereras säkert via https - användare kommer att se följande eller en liknande varning istället:

geolocation-error-info

Se mer information om detta beslut från Google på https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. Geolokalisering fungerar fortfarande på webbplatser som inte är https om användarna kommer åt webbplatsen via alternativa webbläsare som Firefox, safari eller Internet Explorer - hur som helst kan det vara troligt att dessa webbläsare också kommer att lägga till en liknande säkerhetsrestriktion i framtiden.

Uppdatera november 2016: eftersom iOS 10 också Safari 10+ nu kräver https för att stödja geolokalisering. Implementeringen är ännu striktare än med Google Chrome - geolokalisering fungerar inte till exempel om det finns varningar med blandat innehåll på din webbplats.

Uppdatering 2017: Firefox 55+ kräver också https för åtkomst till geolokalisering (se detaljer)

Så om du behöver Maps Marker Pro geolocation featue på din webbplats (som med v2.7 till och med blir mer användbar eftersom du kan sortera listan med markörer baserat på användarens nuvarande position), rekommenderas det starkt att migrera din webbplats till https. Vissa värdare har redan gratis https-certifikat från letsencrypt.org till exempel. För konfigurationer som behövs på din WordPress-webbplats för att konfigurera den för att stödja https, vänligen titta på handledning som https://css-tricks.com/moving-to-https-on-wordpress/.

Eftersom https har fler fördelar för din webbplats än bara geolokalisering som arbetar igen med Google Chrome 50+ och Safari 10+ (som att säkra dataintegriteten, avsändarverifiering och användarskydd samt högre Google-ranking eftersom https används som rankningssignal), vi rekommenderar starkt att byta din webbplats till https endast om du inte har gjort det ännu.

Om du bytte din webbplats till https och fortfarande får ett geolokationsfel (som "Geolocation-fel: användaren nekad geolocation"), kontrollera din enhets platsinställningar om det är tillåtet för appar / webbplatser att hämta geolokaliseringen.

2
0
7407
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

Fungerar Maps Marker Pro på WordPress.com-värdplatser?

Nej. Den värdplattformen för WordPress.com tillåter inte att installera ytterligare plugins, vilket gör det omöjligt att installera Maps Marker Pro. Maps Marker Pro fungerar endast på WordPress-installationer som är värda själv.

0
0
4726
Betygsätt detta vanliga svar

Du får inte betygsätta det här inlägget.

en English
X